K8s Pod Diagnostics
APIs to view Kubernetes pod status, events and log references captured during deployments
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Pipeline identifier
Plan execution Id
Optional stage execution Id filter
Optional step identifier filter
Optional pod phase filter
Optional container state filter
Optional namespace filter
Optional pod name filter
Return one row per step identifier (latest nodeExecutionId) when true
truePage Index of the results to fetch.Default Value: 0
0Results per page
50Returns the flattened Overall pod diagnostics page
GET /gateway/ng/api/cd/deployment/pod-diagnostics/overall?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text&planExecutionId=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
Returns the flattened Overall pod diagnostics page
{
"status": "SUCCESS",
"data": {
"items": [
{
"planExecutionId": "text",
"stageExecutionId": "text",
"stageIdentifier": "text",
"stageName": "text",
"nodeExecutionId": "text",
"stepIdentifier": "text",
"stepName": "text",
"stepType": "text",
"attempt": 1,
"podUid": "text",
"podName": "text",
"namespace": "text",
"nodeName": "text",
"podIP": "text",
"workload": "text",
"image": "text",
"phase": "text",
"phaseSince": 1,
"since": 1,
"deletionTimestamp": 1,
"ready": true,
"conditions": [
{
"type": "text",
"status": "text",
"reason": "text",
"message": "text",
"lastTransitionTime": 1
}
],
"readyContainers": 1,
"totalContainers": 1,
"restartCount": 1,
"diagnosticReason": "text",
"collectionState": "DISCOVERING",
"capturedAt": 1,
"truncated": {
"pods": true,
"events": true,
"logs": true
},
"logBaseKey": "text",
"containers": [
{
"name": "text",
"image": "text",
"init": true,
"state": "text",
"reason": "text",
"message": "text",
"since": 1,
"ready": true,
"started": true,
"restartCount": 1,
"exitCode": 1,
"currentInstanceId": "text",
"previousInstanceId": "text",
"logInstances": [
{
"instanceId": "text",
"restartCount": 1,
"startedAt": 1,
"finishedAt": 1,
"logKey": "text",
"logState": "STREAMING"
}
]
}
]
}
],
"facets": {
"stages": [
{
"stageExecutionId": "text",
"stageIdentifier": "text",
"stageName": "text"
}
],
"steps": [
{
"stepIdentifier": "text",
"stepName": "text"
}
],
"namespaces": [
"text"
],
"phases": [
"text"
],
"containerStates": [
"text"
]
},
"page": 1,
"size": 1,
"totalItems": 1,
"latestAttemptOnly": true
},
"metaData": {},
"correlationId": "text"
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Pipeline identifier
Plan execution Id
Node execution Id of the step
Returns the step pod diagnostics summary
GET /gateway/ng/api/cd/deployment/pod-diagnostics?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text&planExecutionId=text&nodeExecutionId=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
Returns the step pod diagnostics summary
{
"status": "SUCCESS",
"data": {
"nodeExecutionId": "text",
"planExecutionId": "text",
"stageExecutionId": "text",
"stepIdentifier": "text",
"stepType": "text",
"stepName": "text",
"releaseName": "text",
"namespaces": [
"text"
],
"collectionState": "DISCOVERING",
"generation": 1,
"capturedAt": 1,
"truncated": {
"pods": true,
"events": true,
"logs": true
},
"namespaceIssues": [
{
"namespace": "text",
"operation": "text",
"reason": "text",
"message": "text"
}
],
"summary": {
"pods": {
"ANY_ADDITIONAL_PROPERTY": {
"name": "text",
"namespace": "text",
"nodeName": "text",
"podIP": "text",
"workload": "text",
"image": "text",
"phase": "text",
"phaseSince": 1,
"deletionTimestamp": 1,
"ready": true,
"conditions": [
{
"type": "text",
"status": "text",
"reason": "text",
"message": "text",
"lastTransitionTime": 1
}
],
"containers": {
"ANY_ADDITIONAL_PROPERTY": {
"name": "text",
"image": "text",
"init": true,
"state": "text",
"reason": "text",
"message": "text",
"since": 1,
"ready": true,
"started": true,
"restartCount": 1,
"exitCode": 1,
"currentInstanceId": "text",
"previousInstanceId": "text",
"logInstances": [
{
"instanceId": "text",
"restartCount": 1,
"startedAt": 1,
"finishedAt": 1,
"logKey": "text",
"logState": "STREAMING"
}
]
}
}
}
}
},
"logBaseKey": "text",
"message": "text"
},
"metaData": {},
"correlationId": "text"
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Pipeline identifier
Plan execution Id
Node execution Id of the step
Optional pod uid filter
Optional container name filter
Optional range start (epoch millis)
Optional range end (epoch millis)
Opaque pagination cursor
Max entries to return, capped server-side
100Returns a page of timeline entries
GET /gateway/ng/api/cd/deployment/pod-diagnostics/timeline?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text&planExecutionId=text&nodeExecutionId=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
Returns a page of timeline entries
{
"status": "SUCCESS",
"data": {
"items": [
{
"kind": "STATUS",
"time": 1,
"podUid": "text",
"containerName": "text",
"status": "text",
"reason": "text",
"ready": true,
"started": true,
"restartCount": 1,
"exitCode": 1,
"type": "text",
"message": "text",
"involvedObject": {
"kind": "text",
"name": "text",
"uid": "text"
}
}
],
"nextCursor": "text",
"truncated": true
},
"metaData": {},
"correlationId": "text"
}Last updated
Was this helpful?